#ifndef _PORTAGE
#define _PORTAGE
#include <pkgconf/eliosdhcp.h>
#include <net/ethernet.h>
#include <netinet/if_ether.h>

#define MACSTRING 18
#define IPSTRING 16
#define UNIQUEID 0x1234
char * strdup(const char *string);
char* DHCPNumber2String(const uint32_t addr,char* buffer);
int DHCPPingHost(const char adresse[IPSTRING],const unsigned int n);
char DHCPICMPtest(const unsigned char *pkt,const int len,const struct sockaddr_in *from,const struct sockaddr_in *to);
char* DHCPether_print(const u_char cp[ETHER_ADDR_LEN], char *etheraddr,const unsigned int len);
char DHCPDelMAC(const char* dest,const char* gateway,const int index);
char DHCPAddMAC(const char* dest,const char* gateway,const int index);
#endif

